ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alan Chaney <a...@writingshow.com>
Subject Re: Problem with Xalan-2.7.1 and ivyroundup
Date Fri, 07 Jan 2011 00:22:58 GMT

Hi Archie

A little bit more experimentation reveals that the problem is nothing to do with IyvDE (I
ran it 
again with ivy ant scripts)

Its actually that xerces 2.9.1 ALSO has the xml-apis.jar in its published artifacts list on
ivyroundup.

It seems that the problem is that one part of my project requires xerces and another part
requires 
xalan. Currently roundup has 2.7.1 xalan and 2.9.1 xerces, so as xml-api is part of the published

artifacts (rather than being a dependency) then both versions are pulled in.

Any suggestions as to what I might do to fix this?

Thanks in advance

Alan


On 1/6/2011 9:53 AM, Archie Cobbs wrote:
> On Thu, Jan 6, 2011 at 11:33 AM, alan@mechnicality.com<
> alan@mechnicality.com>  wrote:
>
>> Also, looking at
>> http://ivyroundup.googlecode.com/svn/trunk/repo/modules/org.apache.xml/xalan-j/2.7.1/ivy.xmlwhy
are the xml-api jars showing up at all? the conf 'interp' should only
>> pull in xalan?
>>
> Not sure about your other questions, but this is happening because the
> config 'interp' extends the config 'xml-apis'...
>
> -Archie
>


Mime
View raw message